# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'purolator_ruby/version'

Gem::Specification.new do |spec|
  spec.name          = "purolator_ruby"
  spec.version       = PurolatorRuby::VERSION
  spec.authors       = ["Boris Filipov"]
  spec.email         = ["bfilipov@gmail.com"]
  spec.summary       = %q{Ruby wrapper around the Purolator E-Ship services.}
  spec.description   = %q{}
  spec.homepage      = "http://github.com/Redelas/purolator_ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "httpclient", ">= 2.6.0.1"
  spec.add_dependency "savon", ">= 2.11.1"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3.0"
  spec.add_development_dependency "vcr", "~> 2.9.3"
  spec.add_development_dependency "webmock", "~> 1.20.4"
  spec.add_development_dependency "awesome_print"
  spec.add_development_dependency "pry"
end
